List of all members
clan::DirectoryListing Class Reference

Virtual File System (VFS) directory listing class. More...

`#include <directory_listing.h>`

## Public Member Functions
Construction
| DirectoryListing ()
| Constructs a null instance. More...
| DirectoryListing (FileSystemProvider *provider, const std::string &path)
| Constructs a virtual directory listening object. More...
virtual | ~DirectoryListing ()
Attributes
bool | is_null () const
| Returns true if this object is invalid. More...
void | throw_if_null () const
| Throw an exception if this object is invalid. More...
std::string | get_filename ()
| Returns the file name of the current item in the listing. More...
bool | is_directory ()
| Returns true if item is a directory. More...
bool | is_hidden ()
| Returns true if item is hidden. More...
bool | is_writable ()
| Returns true if item is writable. More...
bool | is_readable ()
| Returns true if item is readable. More...
Operations
bool | next ()
| Advance to next item in listing. More...

## Detailed Description

Virtual File System (VFS) directory listing class.

## Constructor & Destructor Documentation

clan::DirectoryListing::DirectoryListing | ( |  | ) |

Constructs a null instance.

clan::DirectoryListing::DirectoryListing | ( | FileSystemProvider * | provider,
|  | const std::string & | path
| ) |  |

Constructs a virtual directory listening object.

virtual clan::DirectoryListing::~DirectoryListing | ( |  | ) |
| virtual

## Member Function Documentation

std::string clan::DirectoryListing::get_filename | ( |  | ) |

Returns the file name of the current item in the listing.

bool clan::DirectoryListing::is_directory | ( |  | ) |

Returns true if item is a directory.

bool clan::DirectoryListing::is_hidden | ( |  | ) |

Returns true if item is hidden.

bool clan::DirectoryListing::is_null | ( |  | ) | const
| inline

Returns true if this object is invalid.

bool clan::DirectoryListing::is_readable | ( |  | ) |

Returns true if item is readable.

bool clan::DirectoryListing::is_writable | ( |  | ) |

Returns true if item is writable.

bool clan::DirectoryListing::next | ( |  | ) |

Advance to next item in listing.

void clan::DirectoryListing::throw_if_null | ( |  | ) | const

Throw an exception if this object is invalid.

The documentation for this class was generated from the following file:

- directory_listing.h